Skip to main content
GET
/
clusters
List Clusters
curl --request GET \
  --url https://api.xplenty.com/{account_id}/api/clusters \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": 99,
    "name": "Daily Outliers Test #100",
    "description": "Daily Outliers Test",
    "status": "available",
    "owner_id": 27,
    "plan_id": 123,
    "nodes": 2,
    "type": "production",
    "created_at": "2013-01-25T08:18:39Z",
    "updated_at": "2013-01-28T16:45:24Z",
    "available_since": "2023-11-07T05:31:56Z",
    "terminated_at": "2023-11-07T05:31:56Z",
    "running_jobs_count": 0,
    "terminate_on_idle": false,
    "time_to_idle": 3600,
    "terminated_on_idle": false,
    "region": "amazon-web-services::us-east-1",
    "zone": "us-east-1b",
    "master_instance_type": "m3.xlarge",
    "slave_instance_type": "m3.xlarge",
    "master_spot_price": 123,
    "slave_spot_price": 123,
    "master_spot_percentage": 123,
    "slave_spot_percentage": 123,
    "allow_fallback": true,
    "stack": "white-everest",
    "idle_since": "2023-11-07T05:31:56Z",
    "url": "https://api.xplenty.com/xplenation/api/clusters/99",
    "html_url": "https://xplenty.com/xplenation/clusters/99",
    "creator": {
      "type": "<string>",
      "display_name": "<string>",
      "id": 123,
      "url": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Query Parameters

offset
integer
default:0

Index of the first object to retrieve (starting from 0)

Required range: x >= 0
limit
integer
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100
status
enum<string>

Filter by cluster status

Available options:
pending,
creating,
available,
scaling,
pending_terminate,
terminating,
terminated,
error
sort
enum<string>

Sort field

Available options:
id,
name,
nodes,
type,
status,
created_at,
updated_at
direction
enum<string>
default:desc

Sort direction

Available options:
asc,
desc
since
string<date-time>

Only return clusters updated at the given time or later (ISO 8601)

Response

Successful response

id
integer
Example:

99

name
string
Example:

"Daily Outliers Test #100"

description
string
Example:

"Daily Outliers Test"

status
enum<string>
Available options:
pending,
creating,
available,
scaling,
pending_terminate,
terminating,
terminated,
error
Example:

"available"

owner_id
integer
Example:

27

plan_id
integer | null
nodes
integer
Example:

2

type
enum<string>
Available options:
sandbox,
production
Example:

"production"

created_at
string<date-time>
Example:

"2013-01-25T08:18:39Z"

updated_at
string<date-time>
Example:

"2013-01-28T16:45:24Z"

available_since
string<date-time> | null
terminated_at
string<date-time> | null
running_jobs_count
integer
Example:

0

terminate_on_idle
boolean
Example:

false

time_to_idle
integer

Seconds of inactivity before auto-termination

Example:

3600

terminated_on_idle
boolean
Example:

false

region
string
Example:

"amazon-web-services::us-east-1"

zone
string
Example:

"us-east-1b"

master_instance_type
string
Example:

"m3.xlarge"

slave_instance_type
string
Example:

"m3.xlarge"

master_spot_price
number | null
slave_spot_price
number | null
master_spot_percentage
number | null
slave_spot_percentage
number | null
allow_fallback
boolean
Example:

true

stack
string
Example:

"white-everest"

idle_since
string<date-time> | null
url
string<uri>
Example:

"https://api.xplenty.com/xplenation/api/clusters/99"

html_url
string<uri>
Example:

"https://xplenty.com/xplenation/clusters/99"

creator
object
Last modified on April 15, 2026